
Foreman - Feature #1530

Disabling puppet env in ENC should be an option

03/13/2012 03:43 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: External Nodes   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Since the long standing bug of puppet ENC https://projects.puppetlabs.com/issues/3910.

this option would allow users to decided if they want ENC to force puppet environment or not.

Related issues:

Related to Foreman - Feature #11248: Add 'agent-specified' Puppet environment... New 07/29/2015

Associated revisions

Revision 1470cb16 - 03/13/2012 03:44 AM - Ohad Levy

fixes #1530 - Disabling puppet env in ENC is now a configurable.

Revision fe6f8ab7 - 03/14/2012 05:46 AM - Ohad Levy

refs #1530 - ensure enc_environment is in a fixture

History

#1 - 03/13/2012 08:25 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1470cb16868d56e271bfeaae79fbaa0e9032b65a.

#2 - 07/29/2015 09:35 AM - Dominic Cleal

- Related to Feature #11248: Add 'agent-specified' Puppet environment option for hosts added
